org.apache.hadoop.hdfs.server.namenode

## Interface FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    FsImageProto.INodeSection.FileUnderConstructionFeature, FsImageProto.INodeSection.FileUnderConstructionFeature.Builder
  Enclosing class:
    FsImageProto.INodeSection

      public static interface FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientMachine()` `optional string clientMachine = 2;`
    `com.google.protobuf.ByteString` | `getClientMachineBytes()` `optional string clientMachine = 2;`
    `String` | `getClientName()` `optional string clientName = 1;`
    `com.google.protobuf.ByteString` | `getClientNameBytes()` `optional string clientName = 1;`
    `boolean` | `hasClientMachine()` `optional string clientMachine = 2;`
    `boolean` | `hasClientName()` `optional string clientName = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasClientName

          boolean hasClientName()

      `optional string clientName = 1;`

    - #### getClientName

          String getClientName()

      `optional string clientName = 1;`

    - #### getClientNameBytes

          com.google.protobuf.ByteString getClientNameBytes()

      `optional string clientName = 1;`

    - #### hasClientMachine

          boolean hasClientMachine()

      `optional string clientMachine = 2;`

    - #### getClientMachine

          String getClientMachine()

      `optional string clientMachine = 2;`

    - #### getClientMachineBytes

          com.google.protobuf.ByteString getClientMachineBytes()

      `optional string clientMachine = 2;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.